package org.seasar.jsf.template.impl.html;

import javax.faces.component.UIComponent;

import org.seasar.jsf.component.html.HtmlInputTextX;
import org.seasar.jsf.template.impl.AbstractUIInputBuilder;
import org.xml.sax.Attributes;

/**
 * @author higa
 *  
 */
public class HtmlInputTextBuilder extends AbstractUIInputBuilder {

	public HtmlInputTextBuilder(String namespaceURI, String localName,
			String qName, Attributes attributes) {

		super(namespaceURI, localName, qName, attributes);
	}

	protected UIComponent createComponent() {
		return new HtmlInputTextX();
	}
}